sampler sampler0_ : register( s0 );

struct PS_INPUT
{
	float4 diffuse	: COLOR0;
	float2 texCoord	: TEXCOORD0;
	float2 vPos	: VPOS;
};

struct PS_OUTPUT
{
	float4 color	: COLOR0;
};

float2 sprite_size;
float4 outline_color;
float include_corners;
float enabled;

float texelSizeX = 1.0 / sprite_size.x;
float texelSizeY = 1.0 / sprite_size.y;

PS_OUTPUT PS( PS_INPUT In ) : COLOR0
{
	PS_OUTPUT Out;

	float2 uv;
		uv.x = In.texCoord.x;
		uv.y = In.texCoord.y;

	float4 colorTexture = tex2D(sampler0_, uv);
	float4 colorDiffuse = In.diffuse;
	float4 color = colorTexture * colorDiffuse;

	Out.color = color;

	return Out;
}

technique Render
{
	pass P0
	{
		PixelShader = compile ps_3_0 PS();
	}
}

